Package org.opensaml.soap.wstrust.impl

# Class AbstractWSTrustObject

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject

All Implemented Interfaces:
  `XMLObject`, `WSTrustObject`

Direct Known Subclasses:
  `AllowPostdatingImpl`, `AuthenticatorImpl`, `CancelTargetImpl`, `ClaimsImpl`, `DelegatableImpl`, `DelegateToImpl`, `EncryptionImpl`, `EntropyImpl`, `ForwardableImpl`, `KeyExchangeTokenImpl`, `LifetimeImpl`, `OnBehalfOfImpl`, `ParticipantsImpl`, `ParticipantTypeImpl`, `ProofEncryptionImpl`, `RenewingImpl`, `RenewTargetImpl`, `RequestedProofTokenImpl`, `RequestedReferenceTypeImpl`, `RequestedSecurityTokenImpl`, `RequestedTokenCancelledImpl`, `RequestKETImpl`, `RequestSecurityTokenCollectionImpl`, `RequestSecurityTokenImpl`, `RequestSecurityTokenResponseCollectionImpl`, `RequestSecurityTokenResponseImpl`, `SignChallengeTypeImpl`, `StatusImpl`, `UseKeyImpl`, `ValidateTargetImpl`

public abstract class AbstractWSTrustObject extends AbstractXMLObject implements WSTrustObject
AbstractWSTrustObject.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSTrustObject(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### AbstractWSTrustObject

public AbstractWSTrustObject(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element